Subject: Re: Re comments in gnuwin32
From: [email-masked] (Mikey)

29 Sep 1997 06:05:31 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Eric Mills <[email-masked]>, [email-masked]

_setmode() is neither ansi, nor posix, so don't expect
to see support for it in cygwin32, unless many 
PAYING customers ask for it.

have you looked at the mingw32 home page?

The API works either way, rebuilding the development
environment (or other "configure"able software)
from source, is what you NEED mount -b for.

As for working that way by default, I don't know, I have been
begging cygnus to fix that, for over a year.

Unfortunately there seems to be some confusion over
what a "native" file mode is, personally I think that
worrying what the "native" file mode is in an emulation
dll is kind of backwards, an emulation dll is there to
create a non "native" environment in the first place
so having cygwin32 open files in TEXT mode by default
just because 95/NT do is rather silly ;^)
AND breaks many otherwise working posix programs ;^(

Existing posix source compiled without changes on
the cygwin32 API may or may not work correctly
depending on whether it does any internal
path name handling, and the environment you are trying to
use it in. ;^( cmd.exe/command.com VS bash.exe

used under bash with mount -b, almost 
any cygwin32 compiled posix software
will work the way you would expect it too
that is why I highly recommend
running that way, it is the least surprise environment
for un*x/posix programmers trying to move 
software to win32. (the whole point NO?)

Unfortunately if you work that way, when you
send the software to your customers/buddys
and they install it, it sets up the default text!=binary
mount table, and you get calls wondering why
things don't work ;^(

On Mon, 29 Sep 97 15:34:05 est, you wrote:

>Hi Mikey
>
>Sorry to offend you but you did not actually address the reason for the
>mail item in the first place - re some sort of _setmode() support...
>
>If the API does not work without mount -b then why doesn't it work that way
>by default? Cygnus seemed to be going down the road of building a porting
>environment that worked as closely as possible to the POSIX standard with
>support for those things like text/binary and pathname conversion that
>are just things one has to live with in the Windows world?
>
>An admirable effort - and the only way for a UNIX developer to migrate...
>
>Regards, Eric Mills.
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".